GH-CACHE-DELETE(1)

NAME
gh-cache-delete - Delete GitHub Actions caches

SYNOPSIS
gh cache delete [<cache-id> | <cache-key> | --all] [flags]

DESCRIPTION
Delete GitHub Actions caches.

Deletion requires authorization with the repo scope.

OPTIONS

-a, --all
    Delete all caches

--succeed-on-no-caches <--all>
    Return exit code 0 if no caches found. Must be used in conjunction with --all

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # Delete a cache by id
    $ gh cache delete 1234
    # Delete a cache by key
    $ gh cache delete cache-key
    # Delete a cache by id in a specific repo
    $ gh cache delete 1234 --repo cli/cli
    # Delete all caches (exit code 1 on no caches)
    $ gh cache delete --all
    # Delete all caches (exit code 0 on no caches)
    $ gh cache delete --all --succeed-on-no-caches

SEE ALSO
gh-cache(1)